import java.awt.BorderLayout;
import java.awt.CardLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JToolBar;
import javax.swing.SwingConstants;

/**
 * 把模块程序集成到软件系统
 */
public class MainFrame extends JFrame implements ActionListener {
	InsertPanel ip = null;
	SelectPanel sp = null;
	JPanel pframe;
	JButton jb1, jb2, jb3;
	JMenuItem jm11, jm21, jm22, jm23, jm31, jm32, jm41, jm42;
	CardLayout clayout;

	MainFrame(String s) {
		super(s);
		JMenuBar mb = new JMenuBar(); // 创建菜单栏
		this.setJMenuBar(mb);
		JMenu m1 = new JMenu("系统");
		JMenu m2 = new JMenu("基本信息");
		JMenu m3 = new JMenu("成绩");
		JMenu m4 = new JMenu("奖惩");
		mb.add(m1);
		mb.add(m2);
		mb.add(m3);
		mb.add(m4);
		jm11 = new JMenuItem("退出系统"); // 创建菜单
		jm21 = new JMenuItem("输入");
		jm22 = new JMenuItem("查询");
		jm23 = new JMenuItem("更改");
		jm31 = new JMenuItem("输入成绩");
		jm32 = new JMenuItem("查询成绩");
		jm41 = new JMenuItem("奖惩");
		jm42 = new JMenuItem("处分");
		m1.add(jm11);
		m2.add(jm21);
		m2.add(jm22);
		m2.add(jm23);
		m3.add(jm31);
		m3.add(jm32);
		m4.add(jm41);
		m4.add(jm42);
		java.net.URL imgURL1 = this.getClass().getResource("/images/save.gif");
		java.net.URL imgURL2 = this.getClass()
				.getResource("/images/select.gif");
		java.net.URL imgURL3 = this.getClass().getResource("/images/exit.gif");
		Icon i1 = new ImageIcon(imgURL1);
		Icon i2 = new ImageIcon(imgURL2);
		Icon i3 = new ImageIcon(imgURL3);
		jb1 = new JButton(i1);
		jb2 = new JButton(i2);
		jb3 = new JButton(i3);
		JToolBar tb = new JToolBar("系统工具");
		tb.add(jb1);
		tb.add(jb2);
		tb.add(jb3);
		add(tb, BorderLayout.NORTH);
		jm11.addActionListener(this); // 菜单项注册监听对象
		jm21.addActionListener(this);
		jm22.addActionListener(this);
		jb1.addActionListener(this);
		jb2.addActionListener(this);
		jb3.addActionListener(this);
		clayout = new CardLayout();
		pframe = new JPanel(clayout); // pframe按CardLayout布局存放各模块界面
		add(pframe); // pframe加载到框架窗口的中区
		// 定义软件系统的初始图形界面
		JPanel mainp = new JPanel(new BorderLayout());
		JLabel mainl = new JLabel("学生信息管理平台", SwingConstants.CENTER);
		mainl.setFont(new Font("Serif", Font.BOLD, 30));
		mainp.add(mainl);
		pframe.add(mainp, "main");
		clayout.show(pframe, "main");
	}

	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == jm21 | e.getSource() == jb1) {
			if (ip == null) { // 如果输入界面IP不存在，创建这个对象
				ip = new InsertPanel();
				pframe.add(ip, "insert");
			}
			// 如果输入界面IP已经存在，就不需要创建了
			clayout.show(pframe, "insert");
			this.setTitle("输入学生信息");
		} else if (e.getSource() == jm22 | e.getSource() == jb2) {
			if (sp == null) { // 如果查询界面SP不存在，创建这个对象
				sp = new SelectPanel();
				pframe.add(sp, "select");
			}
			// 如果查询界面SP已经存在，就不需要创建了
			clayout.show(pframe, "select");
			this.setTitle("查询学生信息");
		} else if (e.getSource() == jm11 | e.getSource() == jb3)
			System.exit(0);
	}

}
